Page MenuHomePhabricator

[mlir] Move StandardOps/Utils to Arithmetic and sever a bunch of dependencies on Standard
ClosedPublic

Authored by rriddle on Jan 26 2022, 12:56 PM.

Details

Summary

The Utils.cpp file in StandardOps essentially just contains utilities for interacting with arithmetic
operations, and at this point makes more sense as a utility file for the arithemtic dialect.

Diff Detail

Event Timeline

rriddle created this revision.Jan 26 2022, 12:56 PM
rriddle requested review of this revision.Jan 26 2022, 12:56 PM
rriddle updated this revision to Diff 404705.Jan 31 2022, 1:29 PM
rriddle edited the summary of this revision. (Show Details)
rriddle updated this revision to Diff 405033.Feb 1 2022, 12:03 PM
rriddle updated this revision to Diff 405037.Feb 1 2022, 12:07 PM
mehdi_amini accepted this revision.Feb 1 2022, 2:36 PM
This revision is now accepted and ready to land.Feb 1 2022, 2:36 PM
This revision was landed with ongoing or failed builds.Feb 2 2022, 2:46 PM
This revision was automatically updated to reflect the committed changes.